お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2007-01-16 17:33:10

Eddie
メンバ
登録日: 2007-01-16

PRM形式ファイルのインストール

はじめまして
初心者なユーザです。

プリンター設定をしようと試しましたが、ドライバ葉、発見できたのですが
PRM形式でしか配布されておらず対応に苦慮しております。

ご存知の方がいらっしゃれば、ご対応願います。

検索しましてあるサイトでは
# sudo alien -i cndrvcups-common-1.30-1.i386.rpm
# sudo alien -i cndrvcups-lips4-1.30-1.i386.rpm

と書いてあり実行いsましたが 
#sudo: alien: command not found
と表示されます。

オフライン

 

#2 2007-01-16 18:39:46

bend_tail
メンバ
From: Sendai
登録日: 2006-11-10

Re: PRM形式ファイルのインストール

bend_tail です。

alien パッケージをインストールしていますか?

オフライン

 

#3 2007-01-17 14:57:57

Eddie
メンバ
登録日: 2007-01-16

Re: PRM形式ファイルのインストール

Eddieです。

御指摘のようにalienをインストールしていませんでした。

インストール後、以下の警告が出ました。

# sudo alien -i cndrvcups-lips4-1.30-1.i386.rpm
  Warning: Skipping conversion of scripts in package cndrvcups-lips4: postinst postrm
  Warning: Use the --scripts parameter to include the scripts.

これは、何を意味しているのでしょうか
ご存知ですか?

是非とも対処方法をお教え頂ければと思います。

オフライン

 

#4 2007-01-17 15:35:11

gmax
メンバ
From: 兵庫県
登録日: 2006-10-24

Re: PRM形式ファイルのインストール

postinst postrm というのはパッケージの中にある、インストール後、あるいはアンインストール後の操作を記述したスクリプトを意味します。

alienではrpmのspecファイルに記述する %pre %postの内容を元に生成するのかなと思いますが、元のrpmに含まれているスクリプトがその役割をもっている場合もあります。alienのメッセージは、--scripts パラーメターを指定することで、それらのスクリプトを生成するdebパッケージに含めてはどうか、といっている訳です。

しかし、所望されているドライバ名からして、これを考えておられるのではないかと想像したりするわけですが。

http://opfc.sourceforge.jp/index.html.ja

「canon配布のcups向けlips4ドライバを入れたい」という質問なら、別の答えが出てくるかもしれません。

# 私はlips4対応プリンタもってないけど :-P

オフライン

 

#5 2007-01-17 19:26:06

Eddie
メンバ
登録日: 2007-01-16

Re: PRM形式ファイルのインストール

Eddieです。
当方の情報及び経緯が不足しているかと思いますので下記に書きます。

本来の目的
ubuntu6.10_日本語を利用してLAN接続させているCANON製プリンタLBP3700を使いたい
IPアドレスは、分かっています。

調べるとCANONサイトでドライバ?を発見したがRPM形式しかなく路頭に迷っている。

他サイトにて同様事例を発見し試すもワーニングが表示された。

現状で、システムープリンタで設定を試みるも失敗!!

ubuntuの対応状況は、分かりませんがどうやら周囲で私が最初のチャレンジです。
使用感が良いので継続利用を考えているので何とか実現したいです。

オフライン

 

#6 2007-01-18 17:49:52

gmax
メンバ
From: 兵庫県
登録日: 2006-10-24

Re: PRM形式ファイルのインストール

>他サイトにて同様事例を発見し試す

他サイトがどこか、という情報も不足してますね、というのは冗談として:-P

前回 "--scripts" を追加してはどうかというお話だったんですが、試みられましたか?

私のところではこうなりました。
---------------------------------------------------------
$sudo alien --scripts cndrvcups-lips4-1.30-1.i386.rpm
cndrvcups-lips4_1.30-2_i386.deb generated
---------------------------------------------------------

エラーやWarningは出てません。

---------------------------------------------------------
$sudo dpkg -i cndrvcups-lips4_1.30-2_i386.deb
未選択パッケージ cndrvcups-lips4 を選択しています。
(データベースを読み込んでいます... 現在 260753 個のファイルとディレクトリがインストールされています。)
(cndrvcups-lips4_1.30-2_i386.deb から) cndrvcups-lips4 を展開しています...
cndrvcups-lips4 (1.30-2) を設定しています ...
---------------------------------------------------------

これもエラーなく終わり。

あとはリモートプリンタとしてcupsに設定するんでしょうけれど、手元にlips4機がないのでここまで。

ここに似たことをされている記述があります:
http://www.artificial.jp/wiki/?%A5%CD%A5%C3%A5%C8%A5%EF%A1%BC%A5%AF%A5%D7%A5%EA%A5%F3%A5%BF%A4%CE%C0%DF%C4%EA#q4a377d5

あとはがんばってみてください。

最後の編集者: gmax (2007-01-18 17:51:37)

オフライン

 

#7 2007-01-18 23:49:21

1CAR
新しいメンバ
From: Saitama
登録日: 2006-12-28

Re: PRM形式ファイルのインストール

似たことをしているサイトの管理人です。
とりあえず以下のことを試してみてください。

まずはrpmをdebに変換します。
    * sudo alien --scripts cndrvcups-common-1.30-2.i386.rpm
    * sudo alien --scripts cndrvcups-lips4-1.30-2.i386.rpm

つぎにdebパッケージをインストールします。
    * sudo dpkg -i cndrvcups-lips4_1.30-2_i386.deb
    * sudo dpkg -i cndrvcups-lips4-1.30-2.i386.deb

インストールされたPPDファイルのリンクを張ります。
    * cd /usr/share/ppd
    * sudo ln -s /usr/share/cups/model/設定したいプリンタ.ppd

プリンタの登録
    *sudo /usr/sbin/lpadmin -p [プリンタ名] -m [PPDファイル名] -v lpd://[プリンタのIPアドレスまたはFQDN]/[プリンタ名] -E
プリンタ名や、PPDファイル名は、
ftp://download.canon.jp/pub/driver/lasershot/linux/guide-lips4-1.3x.tar.gz
のドキュメントを参考にしてください。

ホームーページ(http://www.artificial.jp/wiki/)にも書きましたが、
firefoxとgeditからの印刷・両面印刷はできました。

お試しください。

オフライン

 

#8 2007-05-11 16:07:30

nekopapa
新しいメンバ
登録日: 2006-12-28

Re: PRM形式ファイルのインストール

ありがとうございます。
おかげさまで、キヤノンのダウンロードページにあった cndrvcups-common-1.40-1.i386.rpm, cndrvcups-lips4-1.40-1.i386.rpm が、同様の方法でインストールで来ました。
LBP-2710で、快適に印刷できています。

オフライン

 

Board footer

Powered by FluxBB